I am trying to write a routine that will offset a polyline a given distance, then move it to a desired elevation. I have created a userform that lets the user insert the horizontal distance and the vertical offset. I am writting this routine to allow the user to do 3d offsets for contours. An example would be to offset contours on a 3:1 slope. I can not figure out how to let the user select the polyline and tell AutoCAD what side to offset to. I tried the following lines but it will not let you select a side for offset. ThisDrawing.Utility.GetEntity UserObj, basePnt, "Select polyline" offsetObj = UserObj.Offset(TxtHorz.Value) I also tried to use the send command, but then I can't figure out how to get the last entity to change its elevation. Any help would be appriciated. AutoCAD 2004. Thanks, Pat